Anonymous Login
2019-08-19 03:27 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001615v3.4 Release (Current)Taskspublic2019-01-03 12:53
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001615: task reminders not always set
Descriptionafter some more looking at the code, I am convinced this is a bug.

-reset sysadmin task reminders from no to yes.

-edit any task without changing date: no reminder is set.

solution: add $this->addReminder(); at end of hook_postStore

addReminder() will deal with empty dates or the global setting in sysadmin.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003639

opto (manager)

see pull request

~0003642

opto (manager)

this actually belongs into the 3.2 branch, not 4.0 pre, as it is only a fix of a current bug

~0003721

caseydk (administrator)

Resolved here:
https://github.com/web2project/web2project/pull/271

~0003919

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2014-09-01 11:23 opto New Issue
2014-09-02 10:47 opto Note Added: 0003639
2014-09-02 21:50 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-09-06 03:22 opto Note Added: 0003642
2014-10-12 12:50 caseydk Target Version => 4.0
2014-11-24 22:21 caseydk Project v4.0 Release (Planning) => v3.3 Release
2014-11-24 22:24 caseydk Note Added: 0003721
2014-11-24 22:24 caseydk Status new => resolved
2014-11-24 22:24 caseydk Fixed in Version => 3.3
2014-11-24 22:24 caseydk Resolution open => fixed
2014-11-24 22:24 caseydk Assigned To => caseydk
2016-12-26 23:37 caseydk Project v3.3 Release => v3.4 Release (Current)
2019-01-03 12:53 caseydk Note Added: 0003919
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History